<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>kernel</artifactId>
    <groupId>org.apache.servicemix.kernel</groupId>
    <version>1.0.2.0-fuse</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.apache.servicemix.kernel</groupId>
  <artifactId>org.apache.servicemix.kernel.main</artifactId>
  <packaging>bundle</packaging>
  <name>Apache ServiceMix Kernel :: Main</name>
  <version>1.0.2.0-fuse</version>
  <build>
    <resources>
      <resource>
        <filtering>true</filtering>
        <directory>src/main/resources</directory>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <configuration>
          <instructions>
            <_donotcopy>(CVS|.svn|config.properties)</_donotcopy>
            <Main-Class>org.apache.servicemix.kernel.main.Main</Main-Class>
            <Bundle-Name>Apache ServiceMix</Bundle-Name>
            <Bundle-Description>OSGi R4 framework.</Bundle-Description>
            <Bundle-SymbolicName>${pom.artifactId}</Bundle-SymbolicName>
            <Export-Package>org.apache.servicemix.kernel.main.spi.*;version=${pom.version}</Export-Package>
            <Private-Package>org.apache.servicemix.kernel.main;-split-package:=merge-first,
                            org.apache.felix.moduleloader.*,
                            org.apache.felix.framework.*,
                            org.osgi.framework;-split-package:=merge-first,
                            org.osgi.service.packageadmin;-split-package:=merge-first,
                            org.osgi.service.startlevel;-split-package:=merge-first,
                            org.osgi.service.url;-split-package:=merge-first,
                            org.osgi.util.tracker;-split-package:=merge-first,
                            META-INF;-split-package:=merge-first</Private-Package>
            <Import-Package>!*</Import-Package>
          </instructions>
          <unpackBundle>true</unpackBundle>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>org.apache.felix:org.apache.felix.framework</include>
                  <include>org.apache.felix:org.osgi.core</include>
                  <include>${project.groupId}:${project.artifactId}</include>
                </includes>
              </artifactSet>
              <filters>
                <filter>
                  <artifact>org.apache.felix:org.apache.felix.framework</artifact>
                  <excludes>
                    <exclude>org/apache/felix/**</exclude>
                    <exclude>org/osgi/**</exclude>
                  </excludes>
                </filter>
                <filter>
                  <artifact>org.apache.felix:org.osgi.core</artifact>
                  <excludes>
                    <exclude>org/osgi/**</exclude>
                  </excludes>
                </filter>
              </filters>
              <createSourcesJar>${createSourcesJar}</createSourcesJar>
              <promoteTransitiveDependencies>true</promoteTransitiveDependencies>
              <createDependencyReducedPom>true</createDependencyReducedPom>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <profiles>
    <profile>
      <id>deploy</id>
      <build>
        <plugins>
          <plugin>
            <artifactId>maven-dependency-plugin</artifactId>
            <executions>
              <execution>
                <id>unpack-sources</id>
                <phase>generate-sources</phase>
                <goals>
                  <goal>unpack</goal>
                </goals>
                <configuration>
                  <artifactItems>
                    <artifactItem>
                      <groupId>org.apache.felix</groupId>
                      <artifactId>org.osgi.core</artifactId>
                      <version>${felix.osgi.version}</version>
                      <classifier>sources</classifier>
                    </artifactItem>
                    <artifactItem>
                      <groupId>org.apache.felix</groupId>
                      <artifactId>org.apache.felix.framework</artifactId>
                      <classifier>sources</classifier>
                    </artifactItem>
                  </artifactItems>
                  <outputDirectory>${project.build.directory}/sources</outputDirectory>
                </configuration>
              </execution>
            </executions>
          </plugin>
          <plugin>
            <artifactId>maven-source-plugin</artifactId>
            <version>2.0.4</version>
            <executions>
              <execution>
                <id>attach-sources</id>
                <phase>process-classes</phase>
                <goals>
                  <goal>jar</goal>
                </goals>
              </execution>
            </executions>
          </plugin>
          <plugin>
            <artifactId>maven-javadoc-plugin</artifactId>
            <executions>
              <execution>
                <id>package</id>
                <phase>package</phase>
                <goals>
                  <goal>jar</goal>
                </goals>
              </execution>
            </executions>
            <configuration>
              <minmemory>128m</minmemory>
              <maxmemory>512m</maxmemory>
              <sourcepath>${project.build.directory}/sources</sourcepath>
              <source>1.5</source>
            </configuration>
          </plugin>
        </plugins>
      </build>
      <properties>
        <createSourcesJar>true</createSourcesJar>
      </properties>
    </profile>
  </profiles>
</project>

